# Uses of Interface
org.eclipse.emf.cdo.common.revision.delta.CDOListFeatureDelta

Packages that use CDOListFeatureDelta
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDOListFeatureDelta in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOListFeatureDelta
Modifier and Type
Method
Description
`static CDOListFeatureDelta`
CDORevisionUtil.`compareLists(CDORevision originRevision, CDORevision dirtyRevision, EStructuralFeature feature)`

## Uses of CDOListFeatureDelta in org.eclipse.emf.cdo.common.revision.delta

Methods in org.eclipse.emf.cdo.common.revision.delta with parameters of type CDOListFeatureDelta
Modifier and Type
Method
Description
`void`
CDOFeatureDeltaVisitor.`visit(CDOListFeatureDelta delta)`

## Uses of CDOListFeatureDelta in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDOListFeatureDelta
Modifier and Type
Method
Description
`void`
IListMappingDeltaSupport.`processDelta(IDBStoreAccessor accessor, CDOID id, int branchId, int oldVersion, int newVersion, long created, CDOListFeatureDelta delta)`
Process a set of CDOFeatureDeltas for a many-valued feature.

## Uses of CDOListFeatureDelta in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOListFeatureDelta
Modifier and Type
Method
Description
`void`
CDOFeatureDeltaVisitorImpl.`visit(CDOListFeatureDelta deltas)`